Subject: Re: dependable submodules

From: Jens Lehmann <[email-masked]>
Date: Sun, 20 Mar 2011 13:36:49 +0100

Am 20.03.2011 05:32, schrieb Daniel:
> So would it be correct to say that even though those files are
> remotely fetched on a clone of the repository, they are actually
> revisioned and stored in the super project?

Not in the superproject, but you'll have your copy of the history
of the submodule in its own .git directory on your harddrive.

> This would have to be true for me to be able to still be able to
> access those files in which case the project was abandoned (or if I
> lacked internet access).

If the remote side vanishes you still have your local copy. And if
you need to share that with others you can push the submodule
somewhere else and adjust the .gitmodules entry accordingly.